Bug 146892 - [MAINTAINER] deskutils/osmo - fix build failure with latest gtk20 and libical
Summary: [MAINTAINER] deskutils/osmo - fix build failure with latest gtk20 and libical
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-23 23:20 UTC by Charlie Kester
Modified: 2010-06-04 09:00 UTC (History)
0 users

See Also:


Attachments
osmo-0.2.10.diff (701 bytes, patch)
2010-05-23 23:20 UTC, Charlie Kester
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Charlie Kester 2010-05-23 23:20:01 UTC
See the following pointyhat log for details:
http://pointyhat.freebsd.org/errorlogs/amd64-errorlogs/e.8.20100522155602/osmo-0.2.10.log

In a nutshell, the build failed because some of the libical headers couldn't be found.

The same problem occurs on i386.  

It appears to have been introduced with the most recent updates to gtk20 and libical.

Fix: Add explicit include path to libical header files.

While we're here, also add dependency on libgtkhtml as required to enable Contacts module.
Comment 1 Wen Heping freebsd_committer 2010-05-24 04:28:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 2 dfilter service freebsd_committer 2010-06-04 08:54:19 UTC
wen         2010-06-04 07:54:05 UTC

  FreeBSD ports repository

  Modified files:
    deskutils/osmo       Makefile 
  Log:
  - Add missing dependence
  
  PR:             ports/146892
  Submitted by:   Charlie Kester <corky1951@comcast.net> (maintainer)
  
  Revision  Changes    Path
  1.8       +3 -2      ports/deskutils/osmo/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Wen Heping freebsd_committer 2010-06-04 08:56:12 UTC
State Changed
From-To: open->closed

Committed. Thanks!